#include<fstream>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
long long lcm(int a,int b)
{
	long long t=(a*b)/gcd(a,b);
	return t;
}
int main()
{
	ifstream f1("UCBC.INP");
	ofstream f2("UCBC.OUT");
	int n;
	f1>>n;
	int f[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	int uc=f[0];
	long long bc=f[0];
	for(i=1;i<n;i++)
	{
		uc=gcd(uc,f[i]);
		bc=lcm(bc,f[i]);
	}
	f2<<uc<<endl<<bc;
	f2.close();
	return 0;
}
